export declare class BefrestInternal {
    private befrestWebSocket;
    private isPendingPing?;
    private pingInterval?;
    private pingPayload;
    private isRefreshingConnection?;
    private isBatchTypeReceived;
    private batchSize?;
    private pendingAcks;
    private pendingMessages;
    private sendingAcksInterval?;
    private isBefrestStart;
    private sendAckTimeOut?;
    private acks;
    private isBatchToSendSync;
    constructor();
    start(): void;
    stop(): void;
    refresh(): void;
    private connectToServer;
    commitTopics(): void;
    private startPinging;
    private setupHeader;
    private static generateUrl;
    private scheduleRestart;
    private checkPong;
    private prepareToReceiveMessages;
    private sendAcksV2;
    private cancelPingTimeout;
    private setupPingTimout;
}
