export declare enum MsgType {
    NORMAL = 0,
    BATCH = 1,
    TOPIC = 2,
    GROUP = 3
}
export declare class BefrestMessage {
    private readonly messagePattern;
    private messageType?;
    private readonly data?;
    private readonly messageId?;
    private timeStamp?;
    private isCorrupted;
    constructor(data: string);
    private setMessageType;
    readonly message: string | undefined;
    readonly corruptionFlag: boolean;
    readonly getType: MsgType | undefined;
    readonly getAckMessage: string | undefined;
    private readonly getMessageType;
}
